ahead_behind {git2r} | R Documentation

## Ahead Behind

### Description

Count the number of unique commits between two commit objects.

### Usage

    ahead_behind(local, upstream)

    ## S4 method for signature 'git_commit,git_commit'
    ahead_behind(local, upstream)

### Arguments

`local` | a S4 class git_commit `object`.
`upstream` | a S4 class git_commit `object`.

### Value

An integer vector of length 2 with number of commits that the upstream commit is ahead and behind the local commit

### Examples

    ## Not run:
    ## Create a directory in tempdir
    path <- tempfile(pattern="git2r-")
    dir.create(path)

    ## Initialize a repository
    repo <- init(path)
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file, add and commit
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               con = file.path(path, "test.txt"))
    add(repo, "test.txt")
    commit_1 <- commit(repo, "Commit message 1")

    # Change file and commit
    writeLines(c("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
                 "eiusmod tempor incididunt ut labore et dolore magna aliqua."),
                 con = file.path(path, "test.txt"))
    add(repo, "test.txt")
    commit_2 <- commit(repo, "Commit message 2")

    ahead_behind(commit_1, commit_2)

    ## End(Not run)

[Package git2r version 0.20.0 Index]